QGIS Application - Feature request #3710
SPIT: allow appending data to existing table
2011-04-07 09:39 AM - Duarte Carreira

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 13769
Description

Using SPIT to load data to [[PostGIS]] is easy and user friendly. You can make a list of shapefiles to load in one go.
But it would be very good if we had an "append" checkbox, or just something to allow adding to an existing table without truncating the
existing data.

As is, SPIT warns the user the table already exists, and asks if the user really wants to delete existing data. More often, the user will likely
want to append.

Duarte

History

#1 - 2011-04-08 02:39 AM - Giovanni Manghi

Hi Duarte,

Postgis Manager allows to append data. Furthermore | believe that SPIT will be discontinued the moment that Postgis Manager will allow to upload multiple
shapefiles into postgis databases.

Abragos

#2 - 2011-12-09 08:59 AM - Paolo Cavallini
- Pull Request or Patch supplied set to No
- Resolution set to wontfix

- Status changed from Open to Closed

IMHO SPIT will not be maintained, as DB Manager will enter into Master. No work should go into fixing this.
